function::substr
Prev | Chapter 28. A collection of standard string functions | Next

## Name

function::substr — Returns a substring

## Synopsis

        substr:string(str:string,start:long,length:long)

## Arguments

`str`

  the string to take a substring from

`start`

  starting position of the extracted string (first character is 0)

`length`

  length of string to return

## Description

Returns the substring of the given string at the given start position with the given length (or smaller if the length of the original string is less than start + length, or length is bigger than MAXSTRINGLEN).

Prev | Up | Next
function::strtol | Home | function::text_str